RWS Logo
Show / Hide Table of Contents

Reports

Retrieve a report of translations

Example Request:

curl "https://controller-host:8001/api/v2/reports/translations?fromTimestamp=2019-01-01_11%3A26%3A45.158516672" \
	-X GET \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

{
    "translations": [
        {
            "translationId": "bf91b9b6-d3c2-4ff2-ad3b-c9be89bd67fd",
            "type": "sync",
            "translationRecord": {
                "translationId": "bf91b9b6-d3c2-4ff2-ad3b-c9be89bd67fd",
                "profile": {
                    "username": "jsmith@example.com",
                    "title": "example translation",
                    "languagePairId": "EngFra_Generic_SRV_TNMV_8_4_x_1",
                    "encoding": "utf-8",
                    "inputFormat": "text/html",
                    "pdfConverter": "",
                    "pdfPageCount": 0,
                    "imageConverter": "",
                    "dictionaryIds": [
                        "dict1_c95c72dd2f138da2a46c872a40616eb1",
                        "dict2_397e8373985929881616bcaa4805844a"
                    ],
                    "outputFormat": "",
                    "highlightDictionary": true,
                    "highlightBrand": true,
                    "highlightFeedback": true,
                    "unknownMode": "hide",
                    "highlightUnknown": false,
                    "markSegments": true,
                    "sourceRequested": false,
                    "generateMetadata": false,
                    "translationMethod": "MTE",
                    "labels": [
                        {
                            "id": 4,
                            "name": "Legal"
                        },
                        {
                            "id": 28,
                            "name": "Medical"
                        }
                    ],
                    "includeTextContent": false
                },
                "result": {
                    "completedSegments": 64,
                    "inputSize": 3613,
                    "sourceCharacterCount": 3498,
                    "sourceWordCount": 689,
                    "targetCharacterCount": 3840,
                    "targetWordCount": 766,
                    "totalSegments": 64,
                    "outputSize": 4006,
                    "progress": 100,
                    "wordsPerMinute": 52065,
                    "qualityEstimation": {
                        "good": 73.333336,
                        "adequate": 10.123456,
                        "poor": 16.543211
                    }
                },
                "timestamps": {
                    "queued": "2018-06-21 19:03:31.799810031Z",
                    "started": "2018-06-21 19:03:32.113048776Z",
                    "done": "2018-06-21 19:03:34.872942468Z"
                },
                "errorMessage": "",
                "state": "done",
                "substate": "succeeded"
            },
            "username": "",
            "languagePairId": "",
            "substate": "",
            "timeQueued": ""
        }
    ],
    "options": {
        "username": "",
        "languagePairId": "",
        "languagePairTypes": "",
        "translationType": "",
        "substate": "",
        "labels": "",
        "fromTimestamp": "2019-01-01 11:26:45.158516672Z",
        "toTimestamp": ""
    },
    "page": 1,
    "perPage": 25,
    "totalPages": 1,
    "totalItems": 1
}

Retrieve a report of translations filtered by given parameters.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

GET /api/v2/reports/translations

Request Parameters

These parameters should be added to the URL as a query string.
Name Type Description Default Value
translationId (optional) string Identifier of translation job
username (optional) string Username to filter results by
languagePairId (optional) string Language Pair to filter results by
languagePairTypes (optional) string Language Pair types to filter results by (Adapted, Chained, Cloud, Custom, Generic)
translationType (optional) string Translation types to filter results by (see table)
substate (optional) string Substate to filter results by (see table)
labels (optional) string Labels set at time of translation to filter results by -- comma-separated identifiers
fromTimestamp (optional) string Beginning timestamp (in UTC) to filter results by. (see timestamps for formatting)
toTimestamp (optional) string End timestamp (in UTC) to filter results by. (see timestamps for formatting)
page (optional) int Page number to return 1
perPage (optional) int Number of translations to return per page 25

Returns

Returns a report of translations filtered by the given timestamps and other provided parameters.

Name Type Description
translations array of objects List of Translation objects
options object Fields the returned translations are filtered by (expanded below)
→ username string Username the results are filtered by
→ languagePairId string Language pair the results are filtered by
→ languagePairTypes string Language Pair types the results are filtered by
→ translationType string Type of translation the results are filtered by (see table)
→ substate string Subtype of translation the results are filtered by (see table)
→ labels string Labels of translation the results are filtered by
→ fromTimestamp string Beginning timestamp (in UTC) the results are filtered by
→ toTimestamp string Ending timestamp (in UTC) the results are filtered by
page int Page number returned
perPage int Number of translations returned per page
totalPages int Total number of pages available
totalItems int Total number of translations

Translation Types

There are two translation types. They are as follows:

Type Description
async Translation was submitted asynchronously
sync Translation was submitted synchronously

Retrieve a report of cumulative translation totals

Example Request:

curl "https://controller-host:8001/api/v2/reports/totals/translations?fromTimestamp=2019-01-01_11%3A26%3A45.158516672" \
	-X GET \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

{
    "totals": {
        "numberOfTranslations": 100,
        "sourceWords": 300,
        "sourceCharacters": 1500,
        "targetWords": 400,
        "targetCharacters": 2000,
        "numberOfLanguagePairs": 10,
        "numberOfUsers": 5
    },
    "options": {
        "username": "",
        "languagePairId": "",
        "languagePairTypes": "",
        "translationType": "",
        "substate": "",
        "labels": "",
        "fromTimestamp": "2019-01-01 11:26:45.158516672Z",
        "toTimestamp": ""
    }
}

Retrieve a report of cumulative translation totals filtered by given parameters.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

GET /api/v2/reports/totals/translations

Request Parameters

These parameters should be added to the URL as a query string.
Name Type Description Default Value
translationId (optional) string Identifier of translation job
username (optional) string Username to filter results by
languagePairId (optional) string Language Pair to filter results by
languagePairTypes (optional) string Language Pair types to filter results by (Adapted, Chained, Cloud, Custom, Generic)
translationType (optional) string Translation types to filter results by (see table)
substate (optional) string Substate to filter results by (see table)
labels (optional) string Labels set at time of translation to filter results by -- comma-separated identifiers
fromTimestamp (optional) string Beginning timestamp (in UTC) to filter results by. (see timestamps for formatting)
toTimestamp (optional) string End timestamp (in UTC) to filter results by. (see timestamps for formatting)

Returns

Returns a report of translation totals filtered by the given timestamps and other provided parameters.

Name Type Description
totals object Fields the returned translation totals (expanded below)
→ numberOfTranslations int Total number of documents processed
→ sourceWords int Total number of source words processed
→ sourceCharacters int Total number of source characters processed
→ targetWords int Total number of target words processed
→ targetCharacters int Total number of target characters processed
→ numberOfLanguagePairs int Total number of language pairs used for translations
→ numberOfUsers int Total number of users who have performed translations
options object Fields the returned translations are filtered by (expanded below)
→ username string Username the results are filtered by
→ languagePairId string Language pair the results are filtered by
→ languagePairTypes string Language Pair types the results are filtered by
→ translationType string Type of translation the results are filtered by (see table)
→ substate string Subtype of translation the results are filtered by (see table)
→ labels string Labels of translation the results are filtered by
→ fromTimestamp string Beginning timestamp (in UTC) the results are filtered by
→ toTimestamp string Ending timestamp (in UTC) the results are filtered by

Retrieve a report of cumulative translation totals per language pair

Example Request:

curl "https://controller-host:8001/api/v2/reports/totals/translations/language-pairs?fromTimestamp=2019-01-01_11%3A26%3A45.158516672" \
	-X GET \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

{
    "totalsPerLp": [
        {
            "numberOfTranslations": 100,
            "languagePairId": "EngFra_Generic_SRV_TNMV_8_4_x_1",
            "sourceWords": 300,
            "sourceCharacters": 1500,
            "targetWords": 400,
            "targetCharacters": 2000
        }
    ],
    "options": {
        "username": "",
        "languagePairId": "",
        "languagePairTypes": "",
        "translationType": "",
        "substate": "",
        "labels": "",
        "fromTimestamp": "2019-01-01 11:26:45.158516672Z",
        "toTimestamp": ""
    }
}

Retrieve a report of cumulative translation totals per language pair filtered by given parameters.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

GET /api/v2/reports/totals/translations/language-pairs

Request Parameters

These parameters should be added to the URL as a query string.
Name Type Description Default Value
translationId (optional) string Identifier of translation job
username (optional) string Username to filter results by
languagePairId (optional) string Language Pair to filter results by
languagePairTypes (optional) string Language Pair types to filter results by (Adapted, Chained, Cloud, Custom, Generic)
translationType (optional) string Translation types to filter results by (see table)
substate (optional) string Substate to filter results by (see table)
labels (optional) string Labels set at time of translation to filter results by -- comma-separated identifiers
fromTimestamp (optional) string Beginning timestamp (in UTC) to filter results by. (see timestamps for formatting)
toTimestamp (optional) string End timestamp (in UTC) to filter results by. (see timestamps for formatting)

Returns

Returns a report of translation totals per language pair filtered by the given timestamps and other provided parameters.

Name Type Description
totalsPerLp array of totals List of totals per language pair
→ languagePairId string Language pair identifier
→ numberOfTranslations int Total number of documents processed
→ sourceWords int Total number of source words processed
→ sourceCharacters int Total number of source characters processed
→ targetWords int Total number of target words processed
→ targetCharacters int Total number of target characters processed
options object Fields the returned translations are filtered by (expanded below)
→ username string Username the results are filtered by
→ languagePairId string Language pair the results are filtered by
→ languagePairTypes string Language Pair types the results are filtered by
→ translationType string Type of translation the results are filtered by (see table)
→ substate string Subtype of translation the results are filtered by (see table)
→ labels string Labels of translation the results are filtered by
→ fromTimestamp string Beginning timestamp (in UTC) the results are filtered by
→ toTimestamp string Ending timestamp (in UTC) the results are filtered by

Retrieve a report of cumulative translation totals per user

Example Request:

curl "https://controller-host:8001/api/v2/reports/totals/translations/users?fromTimestamp=2019-01-01_11%3A26%3A45.158516672" \
	-X GET \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

{
    "totalsPerUser": [
        {
            "numberOfTranslations": 100,
            "username": "jsmith@example.com",
            "sourceWords": 300,
            "sourceCharacters": 1500,
            "targetWords": 400,
            "targetCharacters": 2000
        }
    ],
    "options": {
        "username": "",
        "languagePairId": "",
        "languagePairTypes": "",
        "translationType": "",
        "substate": "",
        "labels": "",
        "fromTimestamp": "2019-01-01 11:26:45.158516672Z",
        "toTimestamp": ""
    }
}

Retrieve a report of cumulative translation totals per user filtered by given parameters.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

GET /api/v2/reports/totals/translations/users

Request Parameters

These parameters should be added to the URL as a query string.
Name Type Description Default Value
translationId (optional) string Identifier of translation job
username (optional) string Username to filter results by
languagePairId (optional) string Language Pair to filter results by
languagePairTypes (optional) string Language Pair types to filter results by (Adapted, Chained, Cloud, Custom, Generic)
translationType (optional) string Translation types to filter results by (see table)
substate (optional) string Substate to filter results by (see table)
labels (optional) string Labels set at time of translation to filter results by -- comma-separated identifiers
fromTimestamp (optional) string Beginning timestamp (in UTC) to filter results by. (see timestamps for formatting)
toTimestamp (optional) string End timestamp (in UTC) to filter results by. (see timestamps for formatting)

Returns

Returns a report of translation totals per user filtered by the given timestamps and other provided parameters.

Name Type Description
totalsPerUser array of totals List of totals per user
→ username string Username
→ numberOfTranslations int Total number of documents processed
→ sourceWords int Total number of source words processed
→ sourceCharacters int Total number of source characters processed
→ targetWords int Total number of target words processed
→ targetCharacters int Total number of target characters processed
options object Fields the returned translations are filtered by (expanded below)
→ username string Username the results are filtered by
→ languagePairId string Language pair the results are filtered by
→ languagePairTypes string Language Pair types the results are filtered by
→ translationType string Type of translation the results are filtered by (see table)
→ substate string Subtype of translation the results are filtered by (see table)
→ labels string Labels of translation the results are filtered by
→ fromTimestamp string Beginning timestamp (in UTC) the results are filtered by
→ toTimestamp string Ending timestamp (in UTC) the results are filtered by

Retrieve a spreadsheet report of cumulative translation totals

Example Request:

curl "https://controller-host:8001/api/v2/reports/totals/translations/export?fromTimestamp=2019-01-01_11%3A26%3A45.158516672" \
	-X GET \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

application/vnd.openxmlformats-officedocument.spreadsheetml

Retrieve a spreadsheet report of cumulative translation totals filtered by given parameters.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

GET /api/v2/reports/totals/translations/export

Request Parameters

These parameters should be added to the URL as a query string.
Name Type Description Default Value
translationId (optional) string Identifier of translation job
username (optional) string Username to filter results by
languagePairId (optional) string Language Pair to filter results by
languagePairTypes (optional) string Language Pair types to filter results by (Adapted, Chained, Cloud, Custom, Generic)
translationType (optional) string Translation types to filter results by (see table)
substate (optional) string Substate to filter results by (see table)
labels (optional) string Labels set at time of translation to filter results by -- comma-separated identifiers
fromTimestamp (optional) string Beginning timestamp (in UTC) to filter results by. (see timestamps for formatting)
toTimestamp (optional) string End timestamp (in UTC) to filter results by. (see timestamps for formatting)

Returns

Returns a spreadsheet.

Delete translations from reports database

Example Request:

curl "https://controller-host:8001/api/v2/reports/translations" \
	-X DELETE \
	-u u_jsmith@example.com_u0VmztKJrwqf:

Example Response:

{
    "purgeMaxAgeInSecs": 8640000
}

Delete translations from reports database beyond a given maximum age in seconds.

This endpoint is restricted to the following roles: admin, super admin

HTTP Request

DELETE /api/v2/reports/translations

Request Parameters

These parameters should be added to the URL as a query string.
Name Type Description Default Value
purgeMaxAgeInSecs int Translations at this age and older will be deleted from the reports database

Returns

Returns the maximum age of the translations not deleted.

Name Type Description
purgeMaxAgeInSecs int maximum age in seconds of translations not deleted
In this page
Back to top